## org.red5.server
Class GlobalScope

    java.lang.Object
      org.red5.server.AttributeStore
          org.red5.server.PersistableAttributeStore
              org.red5.server.BasicScope
                  org.red5.server.Scope
                      org.red5.server.GlobalScope

All Implemented Interfaces:
  Iterable<IBasicScope>, AttributeStoreMBean, IEventDispatcher, IEventHandler, IEventListener, IEventObservable, IAttributeStore, IBasicScope, ICastingAttributeStore, ICoreObject, IGlobalScope, IScope, IPersistable, IServiceHandlerProvider, IScopeStatistics, IStatisticsBase, ScopeMBean, ResourceLoader, ResourcePatternResolver

    public class GlobalScope

extends Scope
implements IGlobalScope

Global scope is a top level scope. Server instance is meant to be injected with Spring before initialization (otherwise NullPointerException is thrown).

See Also:
  `IGlobalScope`, `IScope`

Nested Class Summary

Nested classes/interfaces inherited from class org.red5.server.Scope
`Scope.Builder`

Nested classes/interfaces inherited from class org.red5.server.BasicScope
`BasicScope.EmptyBasicScopeIterator`

Field Summary
`protected IServer` `server`

Fields inherited from class org.red5.server.Scope
`clientStats, connectionStats, lock, log, oName, subscopeStats`

Fields inherited from class org.red5.server.BasicScope
`keepDelay, keepOnDisconnect, listeners, parent, persistenceClass`

Fields inherited from class org.red5.server.PersistableAttributeStore
`lastModified, name, path, persistent, store, type`

Fields inherited from class org.red5.server.AttributeStore
`attributes`

Fields inherited from interface org.red5.server.api.IScope
`ID, SEPARATOR, TYPE`

Fields inherited from interface org.red5.server.api.persistence.IPersistable
`TRANSIENT_PREFIX`

Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`CLASSPATH_ALL_URL_PREFIX`

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Constructor Summary
`GlobalScope()`

Method Summary
`IServer` `getServer()` Return the server instance connected to this scope.
`IPersistenceStore` `getStore()` Get persistence store for scope
`void` `register()` Register global scope in server instance, then call initialization
`void` `setPersistenceClass(String persistenceClass)` Set scope persistence class
`void` `setServer(IServer server)` Setter for server

Methods inherited from class org.red5.server.Scope

`addChildScope, connect, connect, createChildScope, destroy, disconnect, dispatchEvent, dump, getActiveClients, getActiveConnections, getActiveSubscopes, getBasicScope, getBasicScopeNames, getClassLoader, getClients, getConnections, getContext, getContextPath, getCreationTime, getDepth, getEnabled, getHandler, getMaxClients, getMaxConnections, getMaxSubscopes, getParent, getPath, getResource, getResources, getRunning, getScope, getScopeNames, getServiceHandler, getServiceHandlerNames, getServiceHandlers, getServiceHandlers, getStatistics, getTotalClients, getTotalConnections, getTotalSubscopes, handleEvent, hasChildScope, hasChildScope, hasContext, hasHandler, hasParent, init, isEnabled, isRunning, iterator, lock, lookupConnections, registerServiceHandler, removeChildScope, setAutoStart, setChildLoadPath, setContext, setDepth, setEnabled, setHandler, setName, setParent, start, stop, toString, uninit, unlock, unregisterServiceHandler`

Methods inherited from class org.red5.server.BasicScope
`addEventListener, getEventListeners, hasEventListeners, notifyEvent, removeEventListener, setKeepDelay`

Methods inherited from class org.red5.server.PersistableAttributeStore
`deserialize, getAttribute, getLastModified, getName, getType, isPersistent, modified, removeAttribute, removeAttributes, serialize, setAttribute, setAttributes, setAttributes, setPath, setPersistent, setStore`

Methods inherited from class org.red5.server.AttributeStore
`filterNull, getAttribute, getAttributeNames, getAttributes, getBoolAttribute, getByteAttribute, getDoubleAttribute, getIntAttribute, getListAttribute, getLongAttribute, getMapAttribute, getSetAttribute, getShortAttribute, getStringAttribute, hasAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.red5.server.api.IScope
`addChildScope, connect, connect, createChildScope, disconnect, getBasicScope, getBasicScopeNames, getClients, getConnections, getContext, getContextPath, getHandler, getScope, getScopeNames, getStatistics, hasChildScope, hasChildScope, hasHandler, lookupConnections, removeChildScope`

Methods inherited from interface org.red5.server.api.IBasicScope
`getDepth, getName, getParent, getPath, getType, hasParent, lock, setKeepDelay, unlock`

Methods inherited from interface org.red5.server.api.ICastingAttributeStore
`getBoolAttribute, getByteAttribute, getDoubleAttribute, getIntAttribute, getListAttribute, getLongAttribute, getMapAttribute, getSetAttribute, getShortAttribute, getStringAttribute`

Methods inherited from interface org.red5.server.api.IAttributeStore
`getAttribute, getAttribute, getAttributeNames, getAttributes, hasAttribute, removeAttribute, removeAttributes, setAttribute, setAttributes, setAttributes`

Methods inherited from interface org.red5.server.api.event.IEventDispatcher
`dispatchEvent`

Methods inherited from interface org.red5.server.api.event.IEventHandler
`handleEvent`

Methods inherited from interface org.red5.server.api.event.IEventListener
`notifyEvent`

Methods inherited from interface org.red5.server.api.event.IEventObservable
`addEventListener, getEventListeners, removeEventListener`

Methods inherited from interface java.lang.Iterable
`iterator`

Methods inherited from interface org.red5.server.api.persistence.IPersistable
`deserialize, getLastModified, isPersistent, serialize, setName, setPath, setPersistent, setStore`

Methods inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`getResources`

Methods inherited from interface org.springframework.core.io.ResourceLoader
`getClassLoader, getResource`

Methods inherited from interface org.red5.server.api.service.IServiceHandlerProvider
`getServiceHandler, getServiceHandlerNames, registerServiceHandler, unregisterServiceHandler`

Methods inherited from interface org.red5.server.api.statistics.IScopeStatistics
`getName`

Field Detail

### server

    protected IServer server

Constructor Detail

### GlobalScope

    public GlobalScope()

Method Detail

### setPersistenceClass

    public void setPersistenceClass(String persistenceClass)
                             throws Exception

  Description copied from class: `Scope`
  Set scope persistence class

  Specified by:
    `setPersistenceClass` in interface `ScopeMBean`
  Overrides:
    `setPersistenceClass` in class `Scope`
  Parameters:
    `persistenceClass` - Persistent class name
  Throws:
    `Exception` - Exception

### getStore

    public IPersistenceStore getStore()

  Get persistence store for scope

  Specified by:
    `getStore` in interface `IPersistable`
  Overrides:
    `getStore` in class `PersistableAttributeStore`
  Returns:
    Persistence store

### setServer

    public void setServer(IServer server)

  Setter for server

  Parameters:
    `server` - Server

### getServer

    public IServer getServer()

  Return the server instance connected to this scope.

  Specified by:
    `getServer` in interface `IGlobalScope`
  Overrides:
    `getServer` in class `Scope`
  Returns:
    the server instance

### register

    public void register()

  Register global scope in server instance, then call initialization

  Specified by:
    `register` in interface `IGlobalScope`

Copyright © 2006-2010 The Red5 Project